name: adguardhome
services:
  adguardhome:
    image: adguard/adguardhome:latest
    ports:
      - 53:53/tcp # plain dns over tcp
      - 53:53/udp # plain dns over udp
      - 3080:80/tcp # http web interface
#      - 3081:3000/tcp # initial setup web interface
    volumes:
      - config:/opt/adguardhome/conf # app configuration
      - work:/opt/adguardhome/work # app working directory
    restart: always
    labels:
      - diun.enable=true
volumes:
  config:
    driver: local
  work:
    driver: local
